Bug 162461 - [ipr] Unknown license for some krb5 (Kerberos) documentation files
[ipr] Unknown license for some krb5 (Kerberos) documentation files
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: krb5 (Show other bugs)
3.0
All Linux
high Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-05 04:16 EDT by Imed Chihi
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:59:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Imed Chihi 2005-07-05 04:16:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
The source RPM of krb5 (at least on version 1.2.7) contains two files:

1. krb5-1.2.7/doc/api/changebar.sty, and
2. krb5-1.2.7/doc/kadm5/changebar.sty

Which only show the following copyright notice:

"Copyright (C) 1990 by David B. Johnson."

without any mention to a license. This may be a concern for some OEM vendors shipping Red Hat Enterprise Linux.

Version-Release number of selected component (if applicable):
Checked on 1.2.7-28 (should apply to all versions)

How reproducible:
Always

Steps to Reproduce:
On Red Hat Enterprise Linux 3 (possibly other releases)
1. up2date --get-source up2date --get-source krb5-libs
2. rpm -Uvh /var/spool/up2date/krb5-1.2.7-28.src.rpm
3. cd /usr/src/redhat/SPECS/
4. rpmbuild -bp krb5.spec
5. cd /usr/src/redhat/BUILD/krb5-1.2.7/
6. View doc/api/changebar.sty and doc/kadm5/changebar.sty

Actual Results:  No mention of the license in both files.

Expected Results:  A clause specifying a license (like GPL) for use and distribution clearly mentioned in both files.

Additional info:
Comment 4 RHEL Product and Program Management 2007-10-19 14:59:05 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.